# IIOPC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`
`#include "tao/VarOut_T.h"`

Include dependency graph for IIOPC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | IIOP
namespace | TAO

## Classes

struct | IIOP::ListenPoint
class | IIOP::ListenPointList
struct | IIOP::BiDirIIOPServiceContext

## Defines

#define | TAO_EXPORT_MACRO TAO_Export
#define | _IIOP_LISTENPOINTLIST_CH_

## Typedefs

typedef TAO_Var_Var_T< ListenPoint > | ListenPoint_var
typedef TAO_Out_T< ListenPoint, ListenPoint_var > | ListenPoint_out
typedef TAO_VarSeq_Var_T< ListenPointList, ListenPoint > | ListenPointList_var
typedef TAO_Seq_Out_T< ListenPointList, ListenPointList_var, ListenPoint > | ListenPointList_out
typedef TAO_Var_Var_T< BiDirIIOPServiceContext > | BiDirIIOPServiceContext_var
typedef TAO_Out_T< BiDirIIOPServiceContext, BiDirIIOPServiceContext_var > | BiDirIIOPServiceContext_out

## Functions

TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const IIOP::ListenPoint &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, IIOP::ListenPoint &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const IIOP::ListenPointList &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, IIOP::ListenPointList &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const IIOP::BiDirIIOPServiceContext &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, IIOP::BiDirIIOPServiceContext &)

## Define Documentation

#define _IIOP_LISTENPOINTLIST_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef TAO_Out_T< BiDirIIOPServiceContext, BiDirIIOPServiceContext_var > IIOP::BiDirIIOPServiceContext_out

typedef TAO_Var_Var_T< BiDirIIOPServiceContext > IIOP::BiDirIIOPServiceContext_var

typedef TAO_Out_T< ListenPoint, ListenPoint_var > IIOP::ListenPoint_out

typedef TAO_Var_Var_T< ListenPoint > IIOP::ListenPoint_var

typedef TAO_Seq_Out_T< ListenPointList, ListenPointList_var, ListenPoint > IIOP::ListenPointList_out

typedef TAO_VarSeq_Var_T< ListenPointList, ListenPoint > IIOP::ListenPointList_var

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const IIOP::BiDirIIOPServiceContext & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const IIOP::ListenPointList & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const IIOP::ListenPoint & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | IIOP::BiDirIIOPServiceContext & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | IIOP::ListenPointList & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | IIOP::ListenPoint & |
| ) |